.banner {
    padding-top: 8rem;
    padding-bottom: 12rem;
    background-color: var(--dark-gray);
}

.banner-main {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.sub-title-banner {
    color: var(--light);
    font-weight: 300;
    font-size: var(--text-size-md);
}

.title-banner {
    color: var(--light);
    font-weight: 600;
    font-size: var(--text-size-xl);
}

.paragraph-banner-solo {
    color: var(--light);
    font-weight: 300;
    font-size: var(--text-size-md);
}

.paragraph-banner {
    color: var(--light);
    font-weight: 300;
    font-size: var(--text-size-md);
    max-width: 36rem;
}

.talk-to-an-expert {
    color: var(--accent) !important;
    font-size: var(--text-size-md);
    margin-top: 3rem !important;
}

.talk-to-an-expert-cards {
    color: var(--accent) !important;
    font-size: var(--text-size-md);
    padding-top: 5rem !important;
}

.imgredhat {
    height: 25rem;
    margin-left: 5rem;
    margin-top: -5rem;
}

.sub-replenishing-banner-black {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    background-color: var(--dark);
    padding-top: 3rem;
    padding-bottom: 1rem;
    margin-top: -11rem;
    gap: 5rem;
    border-radius: 1rem;
}

.title-sub-replinishing {
    color: var(--light);
    font-weight: 600;
    font-size: var(--text-size-lg);
}

.paragaph-sub-replinishing {
    color: var(--light);
    font-weight: 300;
    font-size: var(--text-size-md);
    max-width: 32rem;
}

.sub-title-sub-replinishing {
    color: var(--light);
    font-weight: 600;
    font-size: var(--text-size-lg);

}

.topics-sub-replinishing {
    color: var(--light);
    font-weight: 300;
    font-size: var(--text-size-md);
    max-width: 31rem;
}

.monitoring-main {
    display: flex;
    flex-direction: row;
    margin-top: 4rem;
    gap: 5rem;
}

.monitoring-cards {
    padding-bottom: 5rem;
}

.monitoring-main-cards {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    margin-top: 4rem;
    gap: 1rem;
}

.title-monitoring {
    color: var(--primary);
    font-weight: 600;
    font-size: var(--text-size-xl);
    min-width: 31rem;
    max-width: 31rem;
    margin-left: 3rem;
}

.paragraph-monitoring {
    font-weight: 300;
    font-size: var(--text-size-md);
    max-width: 40rem;
    margin-left: 3rem;

}

.content-monitoring {
    display: flex;
    flex-direction: column;
}

.img-card {
    height: 5rem;
    width: 5rem;
}

.paragraph-monitoring {
    font-weight: 500;
    margin-left: -1rem;
}

.paragraph-monitoring-generic {
    font-weight: 300;
    margin-left: -1rem;
    max-width: 20rem;
}

.performance-container-black {
    background-color: var(--dark);
    padding-bottom: 5rem;
}

.title-performance {
    display: flex;
    justify-content: center;
    padding-top: 8rem;
    width: 100%;
}

.title-performance-main {
    color: var(--light);
    font-size: var(--text-size-xl);
    font-weight: 600;
    text-align: center;
    max-width: 60rem;
    line-height: 1.2;
}

.title-performance-main-green {
    color: var(--accent);
}

.performance-main {
    display: flex;
    flex-direction: row;
    gap: 3rem;
    justify-content: center;
    align-items: center;
}

.performance-left {
    padding: 5rem;
    margin-top: 6rem;
    padding-bottom: 3rem;
    background-color: var(--dark-gray);
    border-radius: 10px;
    min-width: 40rem;
    max-width: 40rem;
}

.performance-right {
    padding: 5rem;
    margin-top: 6rem;
    padding-bottom: 3rem;
    background-color: var(--dark-gray);
    border-radius: 10px;
    min-width: 40rem;
    max-width: 40rem;
}

.title-performance-main {
    color: var(--light);
    font-size: var(--text-size-xl);
    font-weight: 600;
    margin-left: -1.5rem;
}

.title-performance-main-card {
    display: flex;
    color: var(--light);
    font-size: var(--text-size-xl);
    font-weight: 600;
    justify-content: flex-start;
}

.paragraph-performance {
    color: var(--light);
    font-size: var(--text-size-md);
    font-weight: 300;
}

.redhat-card {
    height: 25rem;
    margin-top: 2rem;
    margin-left: -2rem;
}

.main-percentage {
    display: flex;
    flex-direction: row;
    gap: 3rem;
    margin-top: 4rem;
}

.number-percentage {
    color: var(--light);
    font-weight: 500;
    font-size: var(--text-size-xl);
}

.paragraph-percentage-one {
    color: var(--light);
    font-size: var(--text-size-md);
    max-width: 14rem;
}

.paragraph-percentage-two {
    color: var(--light);
    font-size: var(--text-size-md);
    max-width: 16rem;
}

.container-icons {
    display: flex;
    flex-direction: row;
    max-width: 40rem;
    min-width: 40rem;
}

.img-card-icons-aws {
    height: 2rem;
    margin-left: -2rem;
}

.img-card-icons-google {
    height: 1.5rem;
    margin-left: 1rem;
}

.img-card-icons-microsoft {
    height: 1.5rem;
    margin-left: 1rem;
}

.img-card-icons-servicenow {
    height: 1rem;
    margin-left: 1rem;
}

.next-step {
    background-color: #262527;
    color: var(--light);
    margin-top: 5rem;
    padding-bottom: 2rem;
    padding-top: 2rem;
    border-radius: var(--border-radius);
}

.next-step-content {
    display: flex;
    align-items: center;
    gap: 10rem;
}

.next-step-content .text {
    width: 45rem;
    margin-left: 3rem;
}


.next-step-content .next-step-img {
    width: 16rem;
}

.next-step-content .text .btn {
    width: auto;
    align-self: flex-start;
}

@media (max-width: 992px) {

    .next-step-content {
        flex-direction: column;
        align-items: center;
        gap: 2rem;
    }

    .next-step-content .text,
    .next-step-content .right {
        width: 100%;
        margin: 0rem;
    }

}

.btn-meeting {
    background-color: var(--accent);
    color: var(--dark);
    padding-left: 1.8rem;
    padding-right: 1.7rem;
    font-size: var(--text-size-md);
    border-radius: var(--border-radius);
}

.card-main {
    background-color: var(--dark-gray);
    border-radius: 1.5rem;
    padding: 4rem;
    display: flex;
    flex-direction: row;
    align-items: center;
    max-width: 83rem;
    margin: 0 auto;
}

/* Lado do Texto */
.card-content-left {
    flex: 1.2;
    max-width: 650px;
}

.title-card {
    color: var(--light);
    font-size: var(--text-size-xl);
    font-weight: 500;
    margin-bottom: 1.5rem;
}

.text-card {
    color: #b0b0b0;
    font-size: 1.1rem;
    line-height: 1.6;
    margin-bottom: 3rem;
}

.btn-agende {
    display: inline-flex;
    align-items: center;
    gap: 1rem;
    background-color: var(--accent);
    color: #000 !important;
    text-decoration: none;
    padding: 1rem 2rem;
    border-radius: 0.5rem;
    font-weight: bold;
    font-size: 1rem;
}

.card-content-right {
    flex: 1;
    display: flex;
    justify-content: flex-end;
}

.image-container {
    position: relative;
    max-width: 400px;
}

@media (max-width: 768px) {

    /* --- ESTRUTURA GERAL --- */
    .banner,
    .performance-container-black,
    .card-solo-performance {
        padding-top: 1rem;
        padding-bottom: 4rem;
        text-align: center;
    }

    .banner-main,
    .monitoring-main,
    .performance-main,
    .main-percentage,
    .card-main,
    .container-icons {
        flex-direction: column !important;
        align-items: center !important;
        justify-content: center !important;
        text-align: center;
        gap: 2rem;
    }

    /* --- BANNER --- */
    .paragraph-banner {
        max-width: 100%;
    }

    .imgredhat {
        height: auto;
        width: 100%;
        max-width: 20rem;
        margin-left: 0;
        margin-top: 2rem;
    }


    .sub-replenishing-banner-black {
        margin-top: -4rem;
        min-width: 100%;

    }

    .paragaph-sub-replinishing,
    .topics-sub-replinishing {
        font-size: var(--text-size-sm);
    }

    /* --- MONITORING --- */
    .title-monitoring {
        min-width: 100%;
        max-width: 100%;
        margin-left: 0;
        font-size: 2rem;
    }

    .paragraph-monitoring,
    .paragraph-monitoring-generic {
        margin-left: 0;
        max-width: 100%;
    }

    .monitoring-main-cards {
        justify-content: center;
        gap: 3rem;
    }

    .performance-left,
    .performance-right {
        min-width: 22rem;
        max-width: 100%;
        padding: 2rem;
        margin-top: 2rem;
    }

    .title-performance-main {
        font-size: 1.8rem;
        min-width: 25rem;
        margin-left: 0.2rem;
        margin-top: -5rem;
    }

    .redhat-card {
        height: auto;
        width: 100%;
        max-width: 18rem;
        margin-left: 0;
    }

    /* --- PERCENTAGE & ICONS --- */
    .paragraph-percentage-one,
    .paragraph-percentage-two {
        max-width: 100%;
    }

    .container-icons {
        min-width: 100%;
        max-width: 100%;
        padding: 0 1rem;
    }
    .images{
        max-width: 9rem;
    }
    .img-card-icons-aws {
        margin-left: 0;
        margin-bottom: 1rem;
       
        height: 1.5rem;
    }

    .img-card-icons-google {
        margin-left: 0;
        margin-bottom: 1rem;
        height: 1.2rem;
    }

    .img-card-icons-microsoft {
        margin-left: 0;
        margin-bottom: 1rem;
        height: 1.2rem;
    }

    .img-card-icons-servicenow {
        margin-left: 0;
        margin-bottom: 1rem;
        height: 1rem;
    }


    .card-solo-performance {
        padding-bottom: 5rem;
    }

    .card-main {
        padding: 2rem;
        width: 95%;
    }

    .card-content-left {
        max-width: 100%;
        flex: none;
    }

    .title-card {
        font-size: 2rem;
    }

    .btn-agende {
        width: 100%;
        justify-content: center;
    }

    .card-content-right {
        width: 100%;
        justify-content: center;
        flex: none;
    }

    .image-container {
        max-width: 100%;
    }
}